Chromium Code Reviews
Help | Chromium Project | Sign in
(19)

Issue 261035: Adds support for the <keygen> tag for client certificate enrollment under Lin... (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
5 years, 8 months ago by gauravsh
Modified:
4 years ago
CC:
chromium-reviews_googlegroups.com, brettw+cc_chromium.org, jam, ben+cc_chromium.org
Visibility:
Public.

Description

BAdds support for the <keygen> tag for client certificate enrollment under Linux. Currently, no notifications are given to the user that the certificate was successfully enrolled. BUG=148 T0;115;0cEST=Can test on the following sites: http://foaf.me/simple_KEYGEN_CreateClientCertificate.php http://www.myopenid.com

Patch Set 1 #

Patch Set 2 : '' #

Total comments: 18

Patch Set 3 : '' #

Patch Set 4 : '' #

Patch Set 5 : '' #

Total comments: 92

Patch Set 6 : '' #

Total comments: 34

Patch Set 7 : '' #

Total comments: 15

Patch Set 8 : '' #

Total comments: 2
Unified diffs Side-by-side diffs Delta from patch set Stats (+808 lines, -8 lines) Patch
M chrome/browser/renderer_host/buffered_resource_handler.cc View 1 2 3 4 5 6 7 3 chunks +51 lines, -7 lines 0 comments Download
M chrome/browser/renderer_host/resource_message_filter.h View 1 2 3 4 5 6 7 1 chunk +2 lines, -1 line 0 comments Download
M chrome/browser/renderer_host/resource_message_filter.cc View 1 2 3 4 5 6 7 3 chunks +12 lines, -0 lines 2 comments Download
A chrome/browser/renderer_host/x509_user_cert_resource_handler.h View 6 1 chunk +58 lines, -0 lines 0 comments Download
A chrome/browser/renderer_host/x509_user_cert_resource_handler.cc View 6 7 1 chunk +101 lines, -0 lines 0 comments Download
M chrome/chrome.gyp View 1 2 3 4 5 6 7 1 chunk +2 lines, -0 lines 0 comments Download
chrome/common/render_messages_internal.h View 1 2 3 4 5 6 7 1 chunk +13 lines, -0 lines 0 comments Download
M chrome/renderer/renderer_webkitclient_impl.h View 1 2 3 4 5 6 7 1 chunk +4 lines, -0 lines 0 comments Download
M chrome/renderer/renderer_webkitclient_impl.cc View 1 2 3 4 5 6 7 2 chunks +14 lines, -0 lines 0 comments Download
A net/base/cert_database.h View 6 1 chunk +34 lines, -0 lines 0 comments Download
net/base/cert_database_mac.cc View 7 1 chunk +24 lines, -0 lines 0 comments Download
net/base/cert_database_nss.cc View 6 1 chunk +102 lines, -0 lines 0 comments Download
A net/base/cert_database_win.cc View 7 1 chunk +24 lines, -0 lines 0 comments Download
A net/base/keygen_handler.h View 6 1 chunk +27 lines, -0 lines 0 comments Download
A net/base/keygen_handler_mac.cc View 7 1 chunk +23 lines, -0 lines 0 comments Download
A net/base/keygen_handler_nss.cc View 6 1 chunk +255 lines, -0 lines 0 comments Download
net/base/keygen_handler_win.cc View 7 1 chunk +23 lines, -0 lines 0 comments Download
M net/base/mime_util.cc View 1 2 3 4 5 6 7 1 chunk +1 line, -0 lines 0 comments Download
M net/net.gyp View 6 7 2 chunks +8 lines, -0 lines 0 comments Download
M webkit/api/public/WebKitClient.h View 1 2 3 4 5 6 7 1 chunk +8 lines, -0 lines 0 comments Download
M webkit/api/src/ChromiumBridge.cpp View 1 2 3 4 5 6 7 1 chunk +12 lines, -0 lines 0 comments Download
M webkit/glue/webkitclient_impl.h View 1 2 3 4 5 6 7 1 chunk +2 lines, -0 lines 0 comments Download
M webkit/glue/webkitclient_impl.cc View 1 2 3 4 5 6 7 1 chunk +8 lines, -0 lines 0 comments Download
Commit: CQ not working?

Messages

Total messages: 14 (0 generated)
gauravsh
<keygen> based client certificate enrollment for Chrome in Linux.
5 years, 8 months ago (2009-10-09 17:51:03 UTC) #1
darin (slow to review)
i took a look at the webkit api and related stuff... http://codereview.chromium.org/261035/diff/21/23 File webkit/api/public/WebKitClient.h (right): ...
5 years, 8 months ago (2009-10-09 17:59:08 UTC) #2
gauravsh
http://codereview.chromium.org/261035/diff/21/23 File webkit/api/public/WebKitClient.h (right): http://codereview.chromium.org/261035/diff/21/23#newcode44 Line 44: namespace WebCore { On 2009/10/09 17:59:08, darin wrote: ...
5 years, 8 months ago (2009-10-09 19:44:39 UTC) #3
wtc
Hi Gaurav, Thank you for working on certificate enrollment. You're very fast! First, some general ...
5 years, 8 months ago (2009-10-13 02:10:47 UTC) #4
wtc
I see that WebKit uses the term "SSLKeyGenerator". Given that, it's fine to use "SSLKeygen" ...
5 years, 8 months ago (2009-10-13 02:15:44 UTC) #5
gauravsh
Thanks much for the review. I have fixed almost all the issues you pointed out. ...
5 years, 8 months ago (2009-10-13 08:32:32 UTC) #6
wtc
Let me respond to your questions first. I will review the new Patch Set next. ...
5 years, 8 months ago (2009-10-13 18:32:57 UTC) #7
wtc
darin: could you review the change to hrome/browser/renderer_host/buffered_resource_handler.cc? I suggested to Gaurav that application/x-x509-user-cert can ...
5 years, 8 months ago (2009-10-13 19:22:08 UTC) #8
gauravsh
In addition to what's below, I also fixed the comments, and added stub implementations of ...
5 years, 8 months ago (2009-10-13 21:49:19 UTC) #9
wtc
Let me respond to your latest comments first. I will review Patch Set 7 next. ...
5 years, 8 months ago (2009-10-14 00:53:28 UTC) #10
wtc
LGTM. Please fix the following nits. http://codereview.chromium.org/261035/diff/11001/11009 File chrome/browser/renderer_host/buffered_resource_handler.cc (right): http://codereview.chromium.org/261035/diff/11001/11009#newcode304 Line 304: scoped_refptr<X509UserCertResourceHandler> x509_cert_handler ...
5 years, 8 months ago (2009-10-14 01:12:03 UTC) #11
gauravsh
Hopefully, this fixes everything. :) Also, the try server is failing with this patch because ...
5 years, 8 months ago (2009-10-14 02:13:32 UTC) #12
wtc
http://codereview.chromium.org/261035/diff/9043/8027 File chrome/browser/renderer_host/resource_message_filter.cc (right): http://codereview.chromium.org/261035/diff/9043/8027#newcode1105 Line 1105: new net::KeygenHandler(keysize_index, This file doesn't compile because keysize_index ...
5 years, 8 months ago (2009-10-15 23:05:34 UTC) #13
gauravsh
5 years, 8 months ago (2009-10-15 23:09:39 UTC) #14
http://codereview.chromium.org/261035/diff/9043/8027
File chrome/browser/renderer_host/resource_message_filter.cc (right):

http://codereview.chromium.org/261035/diff/9043/8027#newcode1105
Line 1105: new net::KeygenHandler(keysize_index,
On 2009/10/15 23:05:34, wtc wrote:
> This file doesn't compile because keysize_index and
> signed_publickey haven't been renamed.
> 
> Do you have a newer version of the patch that you haven't
> uploaded?  If not, don't worry about it as I already fixed
> these in my tree.

Ah sorry, I forgot to try a compilation before uploading the last patch set. I
don't have a newer version, so it's fine if you have already fixed these.
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld 1f9106d